/*
 *  Copyright 2017 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.log;

import org.apache.log4j.Appender;
import org.apache.log4j.Logger;

/**
 * This interface represent a logger that can be added at runtime
 */
public interface ExternalLog
{
    /**
     * Get the appender
     * @return an appender that can be added to a category
     * @throws Exception something went wrong
     */
    public Appender getAppender() throws Exception;

    /**
     * Get or Create a category
     * @return a category from logManager
     */
    public Logger getCategory();
}
