/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.model.checker;

import java.util.List;

/**
 * Interface of the parameter checkers
 */
public interface ItemChecker
{
    /**
     * Checks the validity of the parameters.
     * @param values the values to test
     * @throws ItemCheckerTestFailureException if the test failed
     */
    public void check(List<String> values) throws ItemCheckerTestFailureException;
}
