/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.model.exception;

/**
 * Exception thrown when an attempt to retrieve a data from a path with multiple data inside the path (not in the last segment)
 */
public class BadDataPathCardinalityException extends RuntimeException
{
    /**
     * Constructs a new bad data path cardinality exception with the specified detail message.
     * @param message The detail message. 
     */
    public BadDataPathCardinalityException(String message)
    {
        super(message);
    }
    
    /**
     * Constructs a new bad data path cardinality exception with the specified detail message and cause.
     * @param message The detail message.
     * @param cause The cause.
     */
    public BadDataPathCardinalityException(String message, Throwable cause)
    {
        super(message, cause);
    }
    
    /**
     * Constructs a new bad data path cardinality exception with the specified cause.
     * @param cause The cause.
     */
    public BadDataPathCardinalityException(Throwable cause)
    {
        super(cause);
    }
}
