/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.model.type;

/**
 * Constants for model item types
 */
public interface ModelItemTypeConstants
{
    /** Extension id for string item types */
    public static final String STRING_TYPE_ID = "string";
    
    /** Extension id for boolean item types */
    public static final String BOOLEAN_TYPE_ID = "boolean";
    
    /** Extension id for long item types */
    public static final String LONG_TYPE_ID = "long";
    
    /** Extension id for double item types */
    public static final String DOUBLE_TYPE_ID = "double";
    
    /** Extension id for date item types */
    public static final String DATE_TYPE_ID = "date";
    
    /** Extension id for date item types */
    public static final String DATETIME_TYPE_ID = "datetime";
    
    /** Extension id for datasource element types */
    public static final String DATASOURCE_ELEMENT_TYPE_ID = "datasource";
    
    /** Extension id for password element types */
    public static final String PASSWORD_ELEMENT_TYPE_ID = "password";
}
