/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.plugin.component;

import org.ametys.runtime.plugin.ExtensionPoint;

/**
 * An extension implementing this interface will have access to its {@link ExtensionPoint}.
 */
public interface ExtensionPointAware
{
    /**
     * Set the {@link ExtensionPoint}.
     * @param point the extension point.
     */
    public void setExtensionPoint(ExtensionPoint point);
}
