/*
 *  Copyright 2021 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.plugin.component;

/**
 * Interface to prioritize components.
 */
public interface Prioritizable
{
    /**
     * Get the priority for the component.
     * On components using {@link Prioritizable} interface, each implementation define the order. 
     * In most cases, less is the number, more prior is the component.
     * @return the priority
     */
    public int getPriority();
}
