/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.util;

import org.ametys.runtime.i18n.I18nizableText;

/**
 * Interface to use for every component that have a label and a description and can edit it
 */
public interface ModifiableLabelable extends Labelable
{
    /**
     * Set the name.
     * @param name the name.
     */
    public void setName(String name);
    
    /**
     * Set the label.
     * @param label the label.
     */
    public void setLabel(I18nizableText label);

    /**
     * Set the description.
     * @param description the description.
     */
    public void setDescription(I18nizableText description);
}
