/*
 *  Copyright 2021 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

/*
 * This script prepares the migration plugin.odf.jcr "v2020-1130T0010-ODF-2790".
 * If the first run of the CMS from the add of this migration is in safe mode and
 * the user has to update general configuration, old config values
 * "odf.programs.degree.license", "odf.programs.degree.licensepro" and
 * "odf.programs.degree.master" will be lost. Then it saves the config file before
 * the user update it.
 */


if (!Ametys.utils.contains("ametys-home://config/user-populations.xml", /org\.ametys\.core\.authentication\.Kerberos|org\.ametys\.core\.authentication\.CAS/))
{
    // nothing to upgrade
    return;
}

if (!org.ametys.runtime.plugin.PluginsManager.getInstance().getAllPlugins().containsKey("extra-user-management"))
{
    throw "You have at least a population configured with CAS or Kerberos. You have to add the new 'extra-user-management' plugin which now bring them.";
}
else
{
    Ametys.utils.searchAndReplace("ametys-home://config/user-populations.xml", /org\.ametys\.core\.authentication\.Kerberos/g, "authentication.Kerberos");
    Ametys.utils.searchAndReplace("ametys-home://config/user-populations.xml", /runtime\.authentication\.kerberos/g, "authentication.kerberos");
    Ametys.utils.searchAndReplace("ametys-home://config/user-populations.xml", /org\.ametys\.core\.authentication\.CAS/g, "authentication.CAS");
    Ametys.utils.searchAndReplace("ametys-home://config/user-populations.xml", /runtime\.authentication\.cas/g, "authentication.cas");
    
    logger.info("Migration needs a restart of the application");
    actionData.setRequiresRestart(true);
}
