/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.impl.schedule;

import java.time.LocalTime;

import org.apache.avalon.framework.configuration.Configuration;
import org.apache.avalon.framework.configuration.ConfigurationException;

/**
 * A {@link Runnable} is launched if enabled in config (by the param defined by param-enabled)
 * Will run every day at the specified hour in config (by the param defined by param-hour)
 */
public class ConfigBasedDailyRunnable extends AbstractConfigBasedHourRunnable
{
    @Override
    protected String getCronExpression(Configuration configuration, LocalTime time) throws ConfigurationException
    {
        return "0 " /*seconds*/ 
                + time.getMinute() /*minutes*/ 
                + " " + time.getHour() /*hour*/ 
                + " * * ? *" /*every day, on every month, without restriction on day-of-week, on every year*/;
    }
}
