<?xml version="1.0" encoding="UTF-8"?>
<!--
   Copyright 2019 Anyware Services

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
   -->
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:ametys="org.ametys.core.util.AmetysXSLTHelper"
        xmlns:math="java.lang.Math"
        exclude-result-prefixes="ametys math">
         
    <xsl:template name="vuejs-head">
        <xsl:param name="component"/>
        <xsl:param name="location"/>
        <xsl:param name="load-styles" select="true()"/>
        
        <xsl:if test="not(ametys:requestParameter('vueserve') = $component)">
            <script type="text/javascript" src="{$location}/vuejs/{$component}/main.umd.js"/>
            <xsl:if test="$load-styles">
                <link rel="stylesheet" type="text/css" href="{$location}/vuejs/{$component}/main.css"/>
            </xsl:if>
	    </xsl:if>
    </xsl:template>

    <xsl:template name="vuejs">
        <xsl:param name="component"/>
        <xsl:param name="location"/>
        <xsl:param name="uniqueId" select="concat('vuejs-component-', substring-after(math:random(), '.'))"/>
        <xsl:param name="config">{}</xsl:param>
        
        <div id="{$uniqueId}">
        </div>
        
        <xsl:if test="ametys:requestParameter('vueserve') = $component">
            <script type="text/javascript" src="/js/chunk-vendors.js"/>       
            <script type="text/javascript" src="/js/app.js"/>                
        </xsl:if>
        <script type="text/javascript">
            window['vue-<xsl:value-of select="$component"/>-run']("#<xsl:value-of select="$uniqueId"/>", <xsl:copy-of select="$config"/>);
        </script>
    </xsl:template>
</xsl:stylesheet> 
       