/*
 *  Copyright 2013 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.ui;

import java.util.List;
import java.util.Map;

/**
 * Interface representing a menu
 *
 */
public interface MenuClientSideElement
{
    /**
     * This method returns the {@link ClientSideElement} referenced by the menu through its menu or gallery items 
     * @param contextParameters Contextuals parameters transmitted by the environment.
     * @return the referenced client side elements.
     */
    public List<ClientSideElement> getReferencedClientSideElements(Map<String, Object> contextParameters);
}
