/*
 *  Copyright 2023 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.ui.right;

import org.ametys.core.ui.ClientSideElement;

/**
 * Interface for the Java side of the bus message target to right context convertor.
 * This interface is closely linked to its JavaScript counterpart extending
 * Ametys.plugins.coreui.rights.AbstractTargetToContextConvertor
 */
public interface TargetToContextConvertor extends ClientSideElement
{
    /**
     * Retrieve an actual right context from the JS context extract for the target.
     * @param jsContext the result of the convert method of the JS class of this component
     * @return a right context
     */
    public Object convertJSContext(Object jsContext);
}
