/*
 *  Copyright 2017 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.ui.widgets.richtext;

import org.ametys.runtime.i18n.I18nizableText;

/**
 * A visual group of {@link RichTextConfigurationStyle} 
 */
public interface RichTextConfigurationStyleGroup
{
    /**
     * The group label
     * @return A non-null label
     */
    public I18nizableText getLabel();
    
    /**
     * The group priority
     * @return A low number is first
     */
    public int getPriority();
}
