/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.glyph;

import java.util.Map;

/**
 * This interface is the common interface for glyphs provider
 */
public interface GlyphProvider
{
    /**
     * Get the path of CSS files with glyphs.
     * @return A non-null map of the CSS files with the prefix of glyphs
     */
    public Map<String, String> getCSSFiles();
    
}
