/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.parameter.files;

import org.apache.cocoon.environment.Request;
import org.apache.commons.lang3.ArrayUtils;
import org.apache.excalibur.source.TraversableSource;

/**
 * Action for getting parameters files contain in "WEB-INF/param" directory.
 *
 */
public class GetParameterFileAction extends AbstractGetFilesAction
{
    private static final String[] __IGNORED_SOURCE = new String[] {".svn", ".cvs", "dublincore", "flag_resources", "CVS"};
    
    @Override
    protected String getRootURI(Request request)
    {
        return "context://WEB-INF/param";
    }
    
    @Override
    protected boolean isIgnoredSource(TraversableSource source)
    {
        return ArrayUtils.contains(__IGNORED_SOURCE, source.getName());
    }
    
}
