/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.resources.css;

import java.net.URISyntaxException;

import org.apache.commons.lang3.StringUtils;

/**
 * JSASS Resource URI for cocoon URI
 */
public class CocoonJSASSResourceURI implements JSASSResourceURI
{
    @Override
    public String resolve(String uri) throws URISyntaxException
    {
        return StringUtils.startsWith(uri, "cocoon://") ? uri.substring("cocoon:/".length()) : null;
    }

    @Override
    public String resolvePath(String path)
    {
        return null;
    }

}
