/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.resources.css;

import java.net.URISyntaxException;

/**
 * Resource URIs supported by JSASS
 */
public interface JSASSResourceURI
{
    /**
     * Resolve the URI, or returns null if the URI is not supported
     * @param uri The URI
     * @return The resolved URI
     * @throws URISyntaxException If the URI is not supported
     */
    public String resolve(String uri) throws URISyntaxException;
    
    /**
     * Resolve a path and return the URI corresponding, or null if the path is not supported
     * @param path The path
     * @return The URI
     */
    public String resolvePath(String path);
    
}
