/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.resources.css;

/**
 * Interface that represents supported resource URI through the context protocol
 */
public interface SupportedContextResourceUri
{
    /**
     * Resolve the uri with the context protocol.
     * @param uri The URI
     * @return The resolved uri, or null if the protocol is not supported
     */
    public String resolve(String uri);
    
    /**
     * Resolve the context path into a context uri
     * @param path The path
     * @return The uri, or null if the context path is not supported
     */
    public String resolvePath(String path);
}
