/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.resources.css.sass;

import org.apache.avalon.framework.context.Context;
import org.apache.avalon.framework.context.ContextException;
import org.apache.avalon.framework.context.Contextualizable;

/**
 * Used to configure the AmetysSASSHelper. The methods defined here are not injected into Sass compilation
 */
public abstract class AbstractAmetysSASSFunctionsProvider implements SassFunctionsProvider, Contextualizable
{
    /** Avalon context */
    protected Context _context;

    @Override
    public void contextualize(Context context) throws ContextException
    {
        _context = context;
    }
}
