/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.plugins.core.ui.script;

import java.util.HashMap;
import java.util.Map;

import org.apache.avalon.framework.service.ServiceException;
import org.apache.avalon.framework.service.ServiceManager;

/**
 * Runtime default script binding, provides default variables to the script tool, and a configuration file for the functions. 
 */
public class RuntimeScriptBinding extends StaticConfigurableScriptBinding
{
    private ServiceManager _manager;

    @Override
    public void service(ServiceManager manager) throws ServiceException
    {
        super.service(manager);

        _manager = manager;
    }
    
    @Override
    public Map<String, Object> getVariables(ScriptExecArguments execArgs)
    {
        Map<String, Object> variables = new HashMap<>();
        variables.put("__internal_ametys_serviceManager", _manager);
        variables.put("__internal_ametys_sourceResolver", _sourceResolver);
        variables.put("__internal_ametys_avalonContext", _context);
        return variables;
    }

}
