/*
 *  Copyright 2019 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.cache;

/**
 * Exception thrown when there is an error when creating or getting a {@link Cache}, or when manipulating a {@link Cache}.
 */
public class CacheException extends RuntimeException
{
    /**
     * Constructs a CacheException
     * @param message the detailed message
     */
    public CacheException(String message)
    {
        super(message);
    }
    
    /**
     * Constructs a CacheException
     * @param message the detailed message
     * @param cause the cause of the Exception
     */
    public CacheException(String message, Throwable cause)
    {
        super(message, cause);
    }
    
    /**
     * Constructs a CacheException
     * @param cause the cause of the Exception
     */
    public CacheException(Throwable cause)
    {
        super(cause);
    }
}
