/*
 *  Copyright 2020 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.migration;

/**
 * Exception that occured during an automatic migration : a specific migration can not be done, but the global process should continue.
 */
public class NotMigrableInSafeModeException extends MigrationException
{
    /**
     * Constructs a new exception with the specified detail message.
     * @param message the detail message.
     */
    public NotMigrableInSafeModeException(String message)
    {
        super(message);
    }

    /**
     * Constructs a new exception with the specified detail message and cause.
     * @param message the detail message.
     * @param cause the cause.
     */
    public NotMigrableInSafeModeException(String message, Throwable cause)
    {
        super(message, cause);
    }

    /**
     * Constructs a new exception with the specified cause.
     * @param cause the specified cause.
     */
    public NotMigrableInSafeModeException(Throwable cause)
    {
        super(cause);
    }
}
