/*
 *  Copyright 2020 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.migration.version.handler;

import org.ametys.core.migration.MigrationEngine.MigrationComponent;
import org.ametys.core.migration.MigrationEngine.VersionsContainer;
import org.ametys.core.migration.MigrationException;

/**
 * Interface that must be implemented by java class used as version handler
 */
public interface JavaVersionHandlerComponent
{
    /**
     * Find all versions, grouped by actual component identifier
     * @param component the context component
     * @return the current version for this component (can have a versionId null if no version is found)
     * @throws MigrationException Something went wrong
     */
    VersionsContainer getVersions(MigrationComponent component) throws MigrationException;
}
