/*
 *  Copyright 2020 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.migration.version.handler;

import org.ametys.plugins.core.ui.script.ScriptHandler;

/**
 * ScriptHandler to manage results sent by automatic migration scripts, to get the object result as the expected object
 */
public class ScriptVersionHandlerScriptHandler extends ScriptHandler
{
    /** Specific Avalon role */
    public static final String COMPONENT_ROLE = ScriptVersionHandlerScriptHandler.class.getName();
    
    @Override
    protected ResultProcessor getProcessor()
    {
        return new VersionProcessor();
    }
    
    /**
     * Result processor that return object as itself instead as a string
     */
    protected static class VersionProcessor extends ResultProcessor
    {
        @Override
        protected Object _processSingleObject(Object scriptResult)
        {
            return scriptResult; 
        }
    }
}
