/*
 *  Copyright 2022 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.model.type;

import org.ametys.runtime.model.type.ModelItemType;

/**
 * Extension point holding all {@link ModelItemType} classes for needing features.
 */
public class ModelItemTypeExtensionPoint extends org.ametys.runtime.model.type.ModelItemTypeExtensionPoint
{
    /** Avalon Role for schedulable parameter types */
    public static final String ROLE_SCHEDULABLE = ModelItemTypeExtensionPoint.class.getName() + ".Schedulable";
    
    /** Avalon Role for credential provider parameter types */
    public static final String ROLE_CREDENTIAL_PROVIDER = ModelItemTypeExtensionPoint.class.getName() + ".CredentialProvider";
    
    /** Avalon Role for user directory parameter types */
    public static final String ROLE_USER_DIRECTORY = ModelItemTypeExtensionPoint.class.getName() + ".UserDirectory";
    
    /** Avalon Role for group directory parameter types */
    public static final String ROLE_GROUP_DIRECTORY = ModelItemTypeExtensionPoint.class.getName() + ".GroupDirectory";
    
    /** Avalon Role for JDBC parameter types */
    public static final String ROLE_JDBC = ModelItemTypeExtensionPoint.class.getName() + ".Jdbc";
}
