/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.core.util;

import java.util.Comparator;

import org.ametys.runtime.i18n.I18nizableText;

/**
 * Sort I18nizableText with their key
 */
public class I18nizableTextKeyComparator implements Comparator<I18nizableText>
{
    public int compare(I18nizableText t1, I18nizableText t2)
    {
        String str1 = t1.isI18n() ? t1.getKey() : t1.getLabel();
        String str2 = t2.isI18n() ? t2.getKey() : t2.getLabel();
        
        return str1.toString().compareTo(str2.toString());
    }
}
