/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test;

import org.apache.avalon.framework.component.Component;
import org.apache.cocoon.ProcessingException;
import org.apache.cocoon.environment.Redirector;

import org.ametys.core.user.CurrentUserProvider;
import org.ametys.core.user.UserIdentity;

/**
 * {@link CurrentUserProvider} for use during during tests.
 */
public class SimpleUserProvider implements CurrentUserProvider, Component
{
    private UserIdentity _userIdentity;
    
    /**
     * Changes the current user
     * @param user The new current user
     */
    public void setUser(UserIdentity user)
    {
        _userIdentity = user;
    }
    
    @Override
    public UserIdentity getUser()
    {
        return _userIdentity;
    }

    @Override
    public void logout(Redirector redirect) throws ProcessingException
    {
        _userIdentity = null;
    }
}
