/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.framework;

/**
 * Implements this interface if your Test Case needs to run some processing <b>once</b> before any of the Test methods (and <b>once</b> after all the Test methods). 
 */
public interface BeforeAndAfterClassTestCase
{
    /**
     * Method called before any of the Test methods
     * @throws Exception if an exception occurs
     */
    public void beforeClass() throws Exception;
    
    /**
     * Method called after all the Test methods
     * @throws Exception if an exception occurs
     */
    public void afterClass() throws Exception;
}
