/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.framework;

import org.ametys.runtime.test.framework.CocoonTestCase.NeedFeatures;

/**
 * Marker interface in order to {@link NeedFeatures load} features needed by Runtime extension points.
 */
@NeedFeatures({
    "core-ui/cssfonthelper", // for point ApplicationGlyphManager dependencies
    "core-ui/userinterface.help-serializer", // for point HelpExtensionPoint dependencies
    
    "core-impl/runtime.config.parameter.types", // for extensions of ConfigParameterTypeExtensionPoint
    "core-impl/core.user.directory.parameter.types", // for extensions of UserDirectoryParameterTypeExtensionPoint (UserDirectoryFactory)
    "core-impl/core.credential-provider.parameter.types", // for extensions of CredentialProviderParameterTypeExtensionPoint (CredentialProviderFactory)
    "core-impl/core.group.directory.parameter.types", // for extensions of GroupDirectoryParameterTypeExtensionPoint (GroupDirectoryFactory)
    "core-impl/core.jdbc.parameter.types", // for extensions of JdbcParameterTypeExtensionPoint (JdbcUserDirectory)
    "core-impl/core.schedule.parameter.types", // for extensions of SchedulableParameterTypeExtensionPoint (GroupDirectoryFactory)
})
public interface WithRuntimeFeaturesTestCase
// extends CocoonTestCase: NO, it should not extend CocoonTestCase because for making test writing easier, AbstractRuntimeTestCase implements this
// BUT some (rare but existing) tests do not extend CocoonTestCase in order to call manually #startCocoon() (for testing PluginsManager, etc.)
{
    // Empty
}
