/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.runtime.test.groups.jdbc.MysqlJdbcGroupsTestCase;
import org.ametys.runtime.test.migration.sql.MysqlMigrationTestCase;
import org.ametys.runtime.test.rights.manager.MysqlRightManagerTestCase;
import org.ametys.runtime.test.userpref.MysqlUserPreferencesTestCase;
import org.ametys.runtime.test.users.jdbc.MysqlJdbcUsersTestCase;

/**
 * Test suite grouping all Mysql-based tests
 */
@RunWith(Suite.class)
@SuiteClasses({
    MysqlJdbcUsersTestCase.class,
    MysqlJdbcGroupsTestCase.class,
    MysqlRightManagerTestCase.class,
    MysqlUserPreferencesTestCase.class,
    MysqlMigrationTestCase.class,
})
public final class AllMysqlTestSuite
{
    // empty class
}
