/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.migration;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.runtime.test.migration.script.ScriptMigrationTestCase;
import org.ametys.runtime.test.migration.sql.DerbyMigrationTestCase;
import org.ametys.runtime.test.migration.sql.HsqlMigrationTestCase;
import org.ametys.runtime.test.migration.sql.MysqlMigrationTestCase;
import org.ametys.runtime.test.migration.sql.OracleMigrationTestCase;
import org.ametys.runtime.test.migration.sql.PostgresMigrationTestCase;

import junit.framework.TestSuite;

/**
 * Test suite for JDBC migration storage/handler
 */
@RunWith(Suite.class)
@SuiteClasses({
    MigrationVersionsTestCase.class,
    MysqlMigrationTestCase.class,
    PostgresMigrationTestCase.class,
    OracleMigrationTestCase.class,
    DerbyMigrationTestCase.class,
    HsqlMigrationTestCase.class,
    ScriptMigrationTestCase.class
})
public final class AllMigrationTestSuite extends TestSuite
{
    // empty class
}
