/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.rights;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import org.ametys.runtime.test.rights.access.controller.AllJdbcAccessControllerTestSuite;
import org.ametys.runtime.test.rights.manager.AllRightManagerTestSuite;
import org.ametys.runtime.test.rights.storage.assignments.ProfileAssignmentStorageExtensionPointTestCase;
import org.ametys.runtime.test.rights.storage.assignments.jdbc.AllJdbcProfileAssignmentStorageTestSuite;

import junit.framework.TestSuite;

/**
 * Test suite for all features of the right system.
 */
@RunWith(Suite.class)
@SuiteClasses({
    AllJdbcProfileAssignmentStorageTestSuite.class,
    ProfileAssignmentStorageExtensionPointTestCase.class,
    AllJdbcAccessControllerTestSuite.class,
    AllRightManagerTestSuite.class,
})
public final class AllRightsTestSuite extends TestSuite
{
    // empty class
}
