/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.rights.access.controller;

import java.util.HashSet;
import java.util.Set;

import org.ametys.plugins.core.impl.right.StringHierarchicalAccessController;

/**
 * AccessController hard coded with multiple parent elements
 */
public class MultipleParentsAccessController extends StringHierarchicalAccessController
{
    @Override
    protected Set<String> _getParents(String object)
    {
        if (object == null)
        {
            return null;
        }
        
        switch (object)
        {
            case "/foo":
                Set<String> parents = new HashSet<>();
                parents.add("/test1");
                parents.add("/test2");
                return parents;
            default:
                return super._getParents(object);
        }
    }
}
