/*
 *  Copyright 2018 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.ametys.runtime.test.users.jdbc;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import junit.framework.TestSuite;

/**
 * Test suite for JDBC user directory.
 */
@RunWith(Suite.class)
@SuiteClasses({
    MysqlJdbcUsersTestCase.class,
    PostgresJdbcUsersTestCase.class,
    OracleJdbcUsersTestCase.class,
    DerbyJdbcUsersTestCase.class,
    HsqlJdbcUsersTestCase.class
})
public final class AllJdbcUsersTestSuite extends TestSuite
{
    // empty class
}
